<ng-container *ngIf="vm$ | async as vm">
  <jds-bi-modal
    id="desk-modal-request-satudata-detail"
    #modal
    [size]="'2xl'"
  >
    <ng-container ngProjectAs="header">
      <h6>Detail Permohonan Dataset</h6>
      <button
        class="t-button-close"
        (click)="closeModal()"
        role="button"
        type="button"
      >
        <jds-bi-icon
          [size]="14"
          name="xmark"
        />
      </button>
    </ng-container>
    <ng-container ngProjectAs="body">
      <ng-container *ngIf="vm.detailRequestDatasetSatuData as detailRequest">
        <ng-container *ngIf="detailRequest.status === 'loading'">
          <ng-container *ngFor="let number of [20, 80, 30, 50]">
            <div class="wrapper-skeleton">
              <ngx-skeleton-loader
                [theme]="{
                  width: number + '%',
                  'border-radius': '0',
                  height: '20px',
                  'margin-bottom': '5px'
                }"
              />
            </div>
          </ng-container>
        </ng-container>

        <ng-container *ngIf="detailRequest.status === 'success'">
          <ng-container *ngIf="detailRequest.data as row">
            <div [ngClass]="[jds.row, jds.mb(20)]">
              <div [ngClass]="[jds.col(5)]">
                <h6 [ngClass]="[jds.fs(18)]">Informasi Singkat</h6>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Judul Dataset</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{ row.judul_data }}
                  </span>
                </div>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Nama Pemohon</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{ row.nama }}
                  </span>
                </div>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Email Pemohon</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{ row.email }}
                  </span>
                </div>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Nomor Telp. Pemohon</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{ row.telp }}
                  </span>
                </div>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Tanggal dibuat</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{
                      moment(row.cdate)
                        .locale('id')
                        .format('DD MMMM YYYY hh:mm:ss')
                    }}
                  </span>
                </div>

                <div [ngClass]="[jds.mb(16)]">
                  <label>Tanggal diperbarui</label>
                  <span [ngClass]="[jds.d('block'), jds.fw('bold')]">
                    {{
                      moment(row.mdate)
                        .locale('id')
                        .format('DD MMMM YYYY hh:mm:ss')
                    }}
                  </span>
                </div>
              </div>

              <div [ngClass]="[jds.col(7)]">
                <h6 [ngClass]="[jds.fs(18)]">Informasi Lengkap</h6>

                <table
                  [ngClass]="[
                    jds.table,
                    jds.tableSm,
                    jds.tableBordered,
                    jds.tableStriped,
                    jds.fs(14)
                  ]"
                  role="table"
                  aria-label="Information"
                  aria-describedby="Table Information"
                >
                  <tbody>
                    <tr>
                      <th
                        [style.width.%]="35"
                        scope="row"
                      >
                        No.Tiket
                      </th>
                      <td>{{ row.id }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Nama Pemohon</th>
                      <td>{{ row.nama }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Email Pemohon</th>
                      <td>{{ row.email }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Nomor Telp. Pemohon</th>
                      <td>{{ row.telp }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Organisasi Perangkat Daerah</th>
                      <td>{{ row.user.skpd.nama_skpd }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Bidang</th>
                      <td>
                        <ng-container
                          *ngIf="
                            (row.user.skpdsub | json) !== '{}';
                            else skpdsubempty
                          "
                        >
                          <strong>
                            {{ row.user.skpdsub.nama_skpdsub || '-' }}
                          </strong>
                        </ng-container>
                        <ng-template #skpdsubempty>-</ng-template>
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">Seksi</th>
                      <td>
                        <ng-container
                          *ngIf="
                            (row.user.skpdunit | json) !== '{}';
                            else skpdunitempty
                          "
                        >
                          <strong>
                            {{ row.user.skpdunit.nama_skpdunit || '-' }}
                          </strong>
                        </ng-container>
                        <ng-template #skpdunitempty>-</ng-template>
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">Judul Data</th>
                      <td>{{ row.judul_data }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Mengetahui OPD Sumber</th>
                      <td *ngIf="row.tau_skpd === true">Ya</td>
                      <td *ngIf="row.tau_skpd === false">Tidak</td>
                    </tr>
                    <tr>
                      <th scope="row">Nama OPD</th>
                      <td>{{ row.nama_skpd || '-' }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Deskripsi Kebutuhan Dataset</th>
                      <td [style.whiteSpace]="'pre-line'">
                        {{ row.kebutuhan_data }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">Tujuan</th>
                      <td>{{ row.tujuan_data }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Status</th>
                      <td>{{ getStatusName(row.status) }}</td>
                    </tr>
                    <tr>
                      <th scope="row">Tanggal dibuat</th>
                      <td>
                        {{
                          moment(row.cdate)
                            .locale('id')
                            .format('DD MMMM YYYY hh:mm:ss')
                        }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">Tanggal diperbarui</th>
                      <td>
                        {{
                          moment(row.mdate)
                            .locale('id')
                            .format('DD MMMM YYYY hh:mm:ss')
                        }}
                      </td>
                    </tr>
                    <tr>
                      <th scope="row">Catatan terakhir</th>
                      <td [style.whiteSpace]="'pre-line'">{{ row.notes }}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>

            <div>
              <h6 [ngClass]="[jds.fs(18)]">Catatan Historis</h6>

              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.tableStriped,
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Historical Records"
                aria-describedby="Table Historical Records"
              >
                <thead [ngClass]="[jds.bg('#f5f5f5')]">
                  <tr>
                    <th
                      [style.width.%]="30"
                      scope="col"
                    >
                      Timestamp
                    </th>
                    <th
                      [style.width.%]="30"
                      scope="col"
                    >
                      Status
                    </th>
                    <th scope="col">Catatan</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let rowH of row.history">
                    <td>
                      {{
                        moment(rowH.datetime)
                          .locale('id')
                          .format('DD MMMM YYYY hh:mm:ss')
                      }}
                    </td>
                    <td>{{ getStatusName(rowH.status) }}</td>
                    <td [style.whiteSpace]="'pre-line'">{{ rowH.notes }}</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </ng-container>
        </ng-container>
      </ng-container>
    </ng-container>
  </jds-bi-modal>
</ng-container>
